Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I get this error when trying to upgrade to 11.04:

Failed to fetch
http://archive.ubuntu.com/ubuntu/pool/main/libo/liboobs/liboobs-1-5_2.32.0-0ubuntu1_amd64.deb
Size mismatch

I already did a bunch of apt-get clean; apt-get update; in different days and it continues to have this problem.

I know that this probably means one of these three things:

  • The repository's deb is broken and mismatches the checksum I have in cache.
  • My cache's deb is broken and mismatches the checksum I have in cache.
  • My cache's checksum is broken and mismatches the deb in the repository

How should I try to solve this problem?

share|improve this question
2  
please don't roll back this revision - this is a title people might actually type into Google. Thanks. –  Stefano Palazzo Jun 2 '11 at 14:48
9  
I will lock this question if you continue to insist on putting Boobs in the title. You have been warned. –  Marco Ceppi Jun 2 '11 at 18:34
add comment

2 Answers

up vote 2 down vote accepted

My solution for the problem mentioned above was to download the alternate cd, mount it, and upgrade from it, as described in the upgrade-related documentation.

share|improve this answer
add comment

you could download that and install it using dpkg

wget http://archive.ubuntu.com/ubuntu/pool/main/libo/liboobs/liboobs-1-5_2.32.0-0ubuntu1_amd64.deb
sudo dpkg -f liboobs-1-5_2.32.0-0ubuntu1_amd64.deb
share|improve this answer
2  
no I cannot. I am upgrading the system. and that -f looks really dangerous when being done in a package with size mismatch! –  lujbilami Jun 2 '11 at 17:14
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.